Name:           gridsite-compat1.7
Version:        1.7.25
Release:        1%{?dist}
Summary:        Compatibility gridsite run time library

Group:          System Environment/Libraries
License:        ASL 2.0 and BSD
Url:            http://www.gridsite.org
Vendor:         EMI
Source:         http://www.gridsite.org/download/sources/gridsite-%{version}.src.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  libxml2-devel%{?_isa}
BuildRequires:  openssl-devel%{?_isa}

%description
GridSite was originally a web application developed for managing and formatting
the content of the http://www.gridpp.ac.uk/ website. Over the past years it
has grown into a set of extensions to the Apache web server and a toolkit for
Grid credentials, GACL access control lists and HTTP(S) protocol operations.

This package contains the runtime library for compatibility with gridsite 1.7.


%prep
%setup -q -n gridsite-%{version}


%build
cd src
echo > Makefile.inc
MYCFLAGS="%{optflags} -DLINUX=2 -D_REENTRANT -D_LARGEFILE64_SOURCE -I../interface -fPIC" make build-lib prefix=%{_usr}


%install
rm -rf $RPM_BUILD_ROOT
cd src
make install-lib prefix=$RPM_BUILD_ROOT%{_usr} libdir=%{_lib}
# remove all other flavours
rm $RPM_BUILD_ROOT/%{_libdir}/libgridsite_*
# no static files
rm $RPM_BUILD_ROOT/%{_libdir}/libgridsite.a
# no development files
rm $RPM_BUILD_ROOT%{_libdir}/libgridsite.so
rm $RPM_BUILD_ROOT%{_libdir}/libgridsite.so.1
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libgridsite.so.1.7.*
%{_libdir}/libgridsite.so.1.7


%changelog
* Sat Mar 16 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 1.7.25-1
- Initial package
